Bug 1079718 (perl-Catalyst-Plugin-Compress) - Review Request: perl-Catalyst-Plugin-Compress - Compress Catalyst response
Summary: Review Request: perl-Catalyst-Plugin-Compress - Compress Catalyst response
Keywords:
Status: CLOSED RAWHIDE
Alias: perl-Catalyst-Plugin-Compress
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David Dick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: naemon
TreeView+ depends on / blocked
 
Reported: 2014-03-23 13:02 UTC by Sven Nierlein
Modified: 2014-06-05 18:37 UTC (History)
3 users (show)

Fixed In Version: 0.005-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-05 18:37:01 UTC
ddick: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sven Nierlein 2014-03-23 13:02:39 UTC
Spec URL: http://nierlein.com/fedora/perl-Catalyst-Plugin-Compress.spec
SRPM URL: http://nierlein.com/fedora/perl-Catalyst-Plugin-Compress-0.005-1.fc21.src.rpm
Description: 
Catalyst::Plugin::Compress is a Catalyst Plugin that compresses the returned
page.
Fedora Account System Username: sni

Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6664814

Since this is my first review request, docs state that i should ask for a sponsor.

This perl module is required to proceed in #1069988

Comment 1 Sven Nierlein 2014-04-06 10:29:27 UTC
Spec file update according to comments of related bugs and uploaded
new files to:

http://nierlein.com/fedora/2014-04-06/perl-Catalyst-Plugin-Compress.spec
http://nierlein.com/fedora/2014-04-06/perl-Catalyst-Plugin-Compress-0.005-1.fc21.noarch.rpm

Comment 3 Sven Nierlein 2014-04-21 13:50:58 UTC
new spec file:
http://nierlein.com/fedora/2014-04-21/perl-Catalyst-Plugin-Compress.spec

the only thing i changed is the release number.

Comment 4 Ralf Corsepius 2014-04-24 23:58:59 UTC
Missing [MUSTFIX]: 
Requires:  perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

Comment 5 Sven Nierlein 2014-05-20 13:54:14 UTC
Sorry for the delay, i wanted to get through the review process with one module first and then work on the remaining review requests.

So here is the updated spec file:
http://nierlein.com/fedora/2014-05-20/perl-Catalyst-Plugin-Compress.spec
http://nierlein.com/fedora/2014-05-20/perl-Catalyst-Plugin-Compress-0.005-3.fc21.src.rpm

Comment 6 David Dick 2014-05-21 11:13:05 UTC
Hi Sven,

The following BRs MUST be fixed.

--- perl-Catalyst-Plugin-Compress.old   2014-05-20 23:51:55.000000000 +1000
+++ perl-Catalyst-Plugin-Compress.spec  2014-05-21 21:02:00.988340126 +1000
@@ -8,16 +8,28 @@
 Source0:        http://www.cpan.org/modules/by-module/Catalyst/Catalyst-Plugin-Compress-%{version}.tar.gz
 BuildArch:      noarch
 BuildRequires:  perl
+BuildRequires:  perl(Catalyst::Utils)
+BuildRequires:  perl(Config)
+BuildRequires:  perl(Cwd)
+BuildRequires:  perl(Fcntl)
+BuildRequires:  perl(File::Find)
+BuildRequires:  perl(File::Path)
+BuildRequires:  perl(File::Spec)
+BuildRequires:  perl(FindBin)
+BuildRequires:  perl(List::Util)
 BuildRequires:  perl(Test::More)
 BuildRequires:  perl(Catalyst::Runtime) >= 5.80001
 BuildRequires:  perl(Compress::Bzip2) >= 2
 BuildRequires:  perl(Compress::Zlib)
 BuildRequires:  perl(ExtUtils::MakeMaker)
+BuildRequires:  perl(ExtUtils::MM_Unix)
 BuildRequires:  perl(MRO::Compat)
+BuildRequires:  perl(strict)
+BuildRequires:  perl(vars)
+BuildRequires:  perl(warnings)
 Requires:       perl(Catalyst::Runtime) >= 5.80001
 Requires:       perl(Compress::Bzip2) >= 2
 Requires:       perl(Compress::Zlib)
-Requires:       perl(MRO::Compat)
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
 %description

The runtime "Requires: perl(MRO::Compat)" was removed as it is auto-detected.  The other requirements cannot be auto-detected, so they were left.  Once you apply these changes, this package should be good to go.

Comment 8 David Dick 2014-05-24 22:07:31 UTC
koji builds ok at http://koji.fedoraproject.org/koji/taskinfo?taskID=6887280

License ok.

Build/Requires ok.

rpmlint is fine (incorrect spelling errors are the only output)

pure perl library.  no C deps

fedora-review did not produce any errors/warnings

package APPROVED!

Comment 9 Sven Nierlein 2014-05-24 22:20:49 UTC
New Package SCM Request
=======================
Package Name: perl-Catalyst-Plugin-Compress
Short Description: Compress response
Owners: sni
Branches: f21
InitialCC: perl-sig

Comment 10 Gwyn Ciesla 2014-05-27 12:49:58 UTC
Git done (by process-git-requests).

Comment 11 Sven Nierlein 2014-06-05 18:37:01 UTC
build and upload ready


Note You need to log in before you can comment on or make changes to this bug.